Subject: Re: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: ndame <[email-masked]>
Date: Sun, 19 Apr 2020 17:34:46 +0000

>
> Thanks, but it still remains to be shown that the offending timer (the
> real-life one) did indeed signal an error, or at least could have.

I can't speak for the other reporter in the thread, only for my original
report about sleep.

I have a timer which runs every 15 minutes and it accesses the network.
It often occurred that the computer woke up from sleep, but the network was
not yet available (e.g. the cable was not plugged in). The timer run
instantly, because the 15 min cycle was long overdue and it had a network
error.

I usually have debug on to see what happened if there is an error and
dismissed this error backtrace with q, so it's very much possible I got
the negative timer from there.

Since then I pay attention to have the network available when I wake up
the computer, so it's likely that's why I don't have the negative timer
anymore.